Index: tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java
===================================================================
--- tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 2916)
+++ tmp/org.txm.concordance.rcp/src/org/txm/concordance/rcp/editors/ConcordanceEditor.java	(revision 2917)
@@ -1387,10 +1387,10 @@
 			}
 		}
 		catch (Exception e1) {
-			Log.severe(NLS.bind(ConcordanceUIMessages.errorWhileComputingTheConcordanceColonP0, Log.toString(e1)));
+			Log.warning(NLS.bind(ConcordanceUIMessages.errorWhileComputingTheConcordanceColonP0, Log.toString(e1)));
 			Log.printStackTrace(e1);
 			try {
-				Log.severe(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.lastCQPErrorColon, CQPSearchEngine.getCqiClient().getLastCQPError()));
+				Log.warning(TXMCoreMessages.bind(CQPSearchEngineCoreMessages.lastCQPErrorColon, CQPSearchEngine.getCqiClient().getLastCQPError()));
 			}
 			catch (Exception e2) {
 				Log.severe(NLS.bind(CQPSearchEngineCoreMessages.cQPErrorColonP0, e2));
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/DeleteFile.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/DeleteFile.java	(revision 2916)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/DeleteFile.java	(revision 2917)
@@ -44,84 +44,103 @@
 import org.txm.rcp.views.fileexplorer.Explorer;
 import org.txm.rcp.views.fileexplorer.MacroExplorer;
 import org.txm.utils.DeleteDir;
-// TODO: Auto-generated Javadoc
+
+
 /**
- * Execute a groovy script file in the same thread a the RCP @ author mdecorde.
+ * Delete file command
+ * 
+ * @author mdecorde.
  */
 public class DeleteFile extends AbstractHandler {
-
-	/* (non-Javadoc)
+	
+	/*
+	 * (non-Javadoc)
 	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
 	 */
 	@Override
 	public Object execute(ExecutionEvent event) throws ExecutionException {
-
+		
 		ISelection selection = HandlerUtil.getCurrentSelection(event);
 		if (selection instanceof IStructuredSelection) {
-			Object o = ((IStructuredSelection)selection).getFirstElement();
-
+			Object o = ((IStructuredSelection) selection).getFirstElement();
+			
 			if (o instanceof File) {
-				File file = (File)o;
+				File file = (File) o;
 				delete(file);
 			}
 		}
 		return null;
 	}
-
+	
+	/**
+	 * open a dialog box to confirm and update views
+	 * 
+	 * @param file the file or directory to delete
+	 */
 	public static void delete(File file) {
-		//ask new file name
-
+		// ask new file name
+		
 		Shell shell = new Shell();
 		MessageBox dialog = new MessageBox(shell, SWT.YES | SWT.NO);
-		dialog.setMessage(TXMUIMessages.areYouSureYouWantToDeleteP0Colon+file+" ? ");  //$NON-NLS-1$
-
+		dialog.setMessage(TXMUIMessages.areYouSureYouWantToDeleteP0Colon + file + " ? ");  //$NON-NLS-1$
+		
 		int buttonID = dialog.open();
-		switch(buttonID) {
-		case SWT.YES:
-			File parentFile = file.getParentFile();
-			if (file.isFile()) {
-				if (!file.delete()) System.out.println(NLS.bind(TXMUIMessages.failedToDeleteFileP0, file));
-			} else if (file.isDirectory()) {
-				if (!DeleteDir.deleteDirectory(file)) System.out.println(NLS.bind(TXMUIMessages.failedToDeleteFileP0, file));
-			}
-			Explorer.refresh(parentFile);
-			MacroExplorer.refresh(parentFile);
-		case SWT.NO:
-			// exits here ...
-			break;
-		case SWT.CANCEL:
-			// does nothing ...
+		switch (buttonID) {
+			case SWT.YES:
+				File parentFile = file.getParentFile();
+				if (file.isFile()) {
+					if (!file.delete()) System.out.println(NLS.bind(TXMUIMessages.failedToDeleteFileP0, file));
+				}
+				else if (file.isDirectory()) {
+					if (!DeleteDir.deleteDirectory(file)) System.out.println(NLS.bind(TXMUIMessages.failedToDeleteFileP0, file));
+				}
+				Explorer.refresh(parentFile);
+				MacroExplorer.refresh(parentFile);
+			case SWT.NO:
+				// exits here ...
+				break;
+			case SWT.CANCEL:
+				// does nothing ...
 		}
 	}
-
+	
+	/**
+	 * open a dialog box to confirm and update views
+	 * 
+	 * @param files the files or directories to delete
+	 */
 	public static void delete(List files) {
 		Shell shell = new Shell();
 		MessageBox dialog = new MessageBox(shell, SWT.YES | SWT.NO);
-		dialog.setMessage(TXMUIMessages.areYouSureYouWantToDeleteP0Colon+files+" ? ");  //$NON-NLS-1$
+		dialog.setMessage(TXMUIMessages.areYouSureYouWantToDeleteP0Colon + files + " ? ");  //$NON-NLS-1$
 		
 		int buttonID = dialog.open();
-		switch(buttonID) {
-		case SWT.YES:
-			for (Object o : files) {
-				if (o instanceof File) {
-					File file = (File) o;
-					if (file.exists())
-					if (file.isFile()) {
-						if (!file.delete()) System.out.println(NLS.bind(TXMUIMessages.failedToDeleteFileP0, file));
-					} else if (file.isDirectory()) {
-						if (!DeleteDir.deleteDirectory(file)) System.out.println(NLS.bind(TXMUIMessages.failedToDeleteFileP0, file));
+		switch (buttonID) {
+			case SWT.YES:
+				for (Object o : files) {
+					if (o instanceof File) {
+						File file = (File) o;
+						if (file.exists()) {
+							if (file.isFile()) {
+								if (!file.delete()) {
+									System.out.println(NLS.bind(TXMUIMessages.failedToDeleteFileP0, file));
+								}
+							}
+							else if (file.isDirectory()) {
+								if (!DeleteDir.deleteDirectory(file)) {
+									System.out.println(NLS.bind(TXMUIMessages.failedToDeleteFileP0, file));
+								}
+							}
+						}
 					}
 				}
-			}
-			Explorer.refresh();
-			MacroExplorer.refresh();
-		case SWT.NO:
-			// exits here ...
-			break;
-		case SWT.CANCEL:
-			// does nothing ...
+				Explorer.refresh();
+				MacroExplorer.refresh();
+			case SWT.NO:
+				// exits here ...
+				break;
+			case SWT.CANCEL:
+				// does nothing ...
 		}
-		
-		
 	}
-}
\ No newline at end of file
+}
